Bug 227322 - can't delete a .so file under /lib directory
Summary: can't delete a .so file under /lib directory
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: distribution (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
high
Target Milestone: ---
: ---
Assignee: RHEL Product and Program Management
QA Contact: Daniel Riek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-05 09:22 UTC by yxyzju
Modified: 2012-06-20 16:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 16:01:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description yxyzju 2007-02-05 09:22:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.8.1.1) Gecko/20061208 Firefox/2.0.0.1

Description of problem:
[root@localhost ~]#
[root@localhost ~]# ll /lib/libdb*
-rwxr-xr-x  1 root root 251476 2004-12-01  /lib/libdb2.so.3
-rwxr-xr-x  1 root root 614112 2004-12-01  /lib/libdb-3.3.so
-rwxr-xr-x  1 root root 762496 2004-12-01  /lib/libdb-4.1.so
-rwxr-xr-x  1 root root 843984 2004-12-12  /lib/libdb-4.2.so
-rwxr--r--  1 bill bill   1570  2月  2 17:18 /lib/libdb-l.4.so
lrwxrwxrwx  1 root root     11  8月  9 12:26 /lib/libdb.so.3 -> libdb2.so.3
[root@localhost ~]# rm /lib/libdb-1.4.so
rm: lstat‘/lib/libdb-1.4.so’失败: 没有那个文件或目录
[root@localhost ~]# ldconfig
ldconfig: /lib/libdb-l.4.so is not an ELF file - it has the wrong magic bytes at the start.

[root@localhost ~]#


Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.When I run ldconfig,buf it failed, then I found that I can't delete the file. Can someone help me and mail the solution to me? Thanks a lot.
2.
3.

Actual Results:


Expected Results:


Additional info:

Comment 1 Jiri Pallich 2012-06-20 16:01:38 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.